summaryrefslogtreecommitdiff
path: root/sys-process/anacron
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-04 16:47:34 -0500
commitdda948891d3731927b821ce31f9d9a2d03ba20c5 (patch)
tree99cd40be4cbb0606260da212cd81b8ab2db9da9b /sys-process/anacron
parenta3ceca1b4c0d9bdb550dc23f06ffbb5a8e033bc7 (diff)
downloadbaldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.gz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.tar.xz
baldeagleos-repo-dda948891d3731927b821ce31f9d9a2d03ba20c5.zip
Adding metadata
Diffstat (limited to 'sys-process/anacron')
-rw-r--r--sys-process/anacron/Manifest1
-rw-r--r--sys-process/anacron/anacron-2.3-r5.ebuild71
-rw-r--r--sys-process/anacron/anacron-2.3-r6.ebuild77
-rw-r--r--sys-process/anacron/files/anacron-2.3-compile-fix-from-debian.patch11
-rw-r--r--sys-process/anacron/files/anacron-2.3-headers.patch40
-rw-r--r--sys-process/anacron/files/anacron-2.3-makefile.patch14
-rw-r--r--sys-process/anacron/files/anacron-2.3-sighandlers.patch41
-rw-r--r--sys-process/anacron/files/anacron.rc613
-rw-r--r--sys-process/anacron/files/anacrontab11
-rw-r--r--sys-process/anacron/metadata.xml5
10 files changed, 284 insertions, 0 deletions
diff --git a/sys-process/anacron/Manifest b/sys-process/anacron/Manifest
new file mode 100644
index 000000000000..54d804b87c2b
--- /dev/null
+++ b/sys-process/anacron/Manifest
@@ -0,0 +1 @@
+DIST anacron-2.3.tar.gz 24140 BLAKE2B 70fa2c716172a538b6810b65a4b80d8d8b70e8de7569856236f6386e30a3a77acc6b7aa11dfc3ce06aa432bc74009aa6dd44fd8d3b70f8585b979d0c5c596b98 SHA512 27bbbfad5bc35ddc68e4345c3a3acefd0a6f794aaba890f7c75ec42b2e4c4200fbb1667e75b2e344afb7722bdc9ba3dc5a7db66d3369808bc9f483ea3509849c
diff --git a/sys-process/anacron/anacron-2.3-r5.ebuild b/sys-process/anacron/anacron-2.3-r5.ebuild
new file mode 100644
index 000000000000..71092107e70f
--- /dev/null
+++ b/sys-process/anacron/anacron-2.3-r5.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="A periodic command scheduler"
+HOMEPAGE="https://anacron.sourceforge.net/"
+SRC_URI="https://downloads.sourceforge.net/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="amd64 ~arm ppc ~riscv x86"
+
+DEPEND="
+ acct-group/cron
+ sys-process/cronbase
+"
+
+RDEPEND="
+ ${DEPEND}
+ virtual/mta
+"
+
+BDEPEND="acct-group/cron"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-compile-fix-from-debian.patch
+ "${FILESDIR}"/${P}-headers.patch
+)
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/^CFLAGS/{s:=:+=:;s:-O2::}' \
+ Makefile || die
+}
+
+src_configure() {
+ tc-export CC
+}
+
+src_install() {
+ # This does not work if the directory already exists.
+ diropts -m0750 -o root -g cron
+ keepdir /var/spool/${PN}
+
+ doman ${PN}tab.5 ${PN}.8
+ newinitd "${FILESDIR}/${PN}.rc6" "${PN}"
+ dodoc ChangeLog README TODO
+ dosbin "${PN}"
+
+ insinto /etc
+ doins "${FILESDIR}/${PN}tab"
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ elog "Schedule the command \"anacron -s\" as a daily cron-job (preferably"
+ elog "at some early morning hour). This will make sure that jobs are run"
+ elog "when the systems is left running for a night."
+ echo
+ elog "Update /etc/anacrontab to include what you want anacron to run."
+ echo
+ elog "You may wish to read the Gentoo Linux Cron Guide, which can be"
+ elog "found online at:"
+ elog " https://wiki.gentoo.org/wiki/Cron"
+ fi
+}
diff --git a/sys-process/anacron/anacron-2.3-r6.ebuild b/sys-process/anacron/anacron-2.3-r6.ebuild
new file mode 100644
index 000000000000..92cc698fb236
--- /dev/null
+++ b/sys-process/anacron/anacron-2.3-r6.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs flag-o-matic
+
+DESCRIPTION="A periodic command scheduler"
+HOMEPAGE="https://anacron.sourceforge.net/"
+SRC_URI="https://downloads.sourceforge.net/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~riscv ~x86"
+
+DEPEND="
+ acct-group/cron
+ sys-process/cronbase
+ elibc_musl? ( sys-libs/obstack-standalone )
+"
+
+RDEPEND="
+ ${DEPEND}
+ virtual/mta
+"
+
+BDEPEND="acct-group/cron"
+
+PATCHES=(
+ "${FILESDIR}"/${P}-compile-fix-from-debian.patch
+ "${FILESDIR}"/${P}-headers.patch
+ "${FILESDIR}"/${P}-sighandlers.patch
+ "${FILESDIR}"/${P}-makefile.patch
+)
+
+src_prepare() {
+ default
+
+ sed -i \
+ -e '/^CFLAGS/{s:=:+=:;s:-O2::}' \
+ Makefile || die
+}
+
+src_configure() {
+ #715952
+ use elibc_musl && append-libs -lobstack
+
+ tc-export CC
+}
+
+src_install() {
+ # This does not work if the directory already exists.
+ diropts -m0750 -o root -g cron
+ keepdir /var/spool/${PN}
+
+ doman ${PN}tab.5 ${PN}.8
+ newinitd "${FILESDIR}/${PN}.rc6" "${PN}"
+ dodoc ChangeLog README TODO
+ dosbin "${PN}"
+
+ insinto /etc
+ doins "${FILESDIR}/${PN}tab"
+}
+
+pkg_postinst() {
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ elog "Schedule the command \"anacron -s\" as a daily cron-job (preferably"
+ elog "at some early morning hour). This will make sure that jobs are run"
+ elog "when the systems is left running for a night."
+ echo
+ elog "Update /etc/anacrontab to include what you want anacron to run."
+ echo
+ elog "You may wish to read the Gentoo Linux Cron Guide, which can be"
+ elog "found online at:"
+ elog " https://wiki.gentoo.org/wiki/Cron"
+ fi
+}
diff --git a/sys-process/anacron/files/anacron-2.3-compile-fix-from-debian.patch b/sys-process/anacron/files/anacron-2.3-compile-fix-from-debian.patch
new file mode 100644
index 000000000000..174a975f0ca3
--- /dev/null
+++ b/sys-process/anacron/files/anacron-2.3-compile-fix-from-debian.patch
@@ -0,0 +1,11 @@
+--- anacron-2.3/gregor.c 2000-06-23 02:00:14.000000000 +0200
++++ anacron-2.3-maks/gregor.c 2004-03-26 20:45:13.000000000 +0100
+@@ -65,7 +65,7 @@
+ {
+ int dn;
+ int i;
+- const int isleap; /* save three calls to leap() */
++ int isleap; /* save three calls to leap() */
+
+ /* Some validity checks */
+
diff --git a/sys-process/anacron/files/anacron-2.3-headers.patch b/sys-process/anacron/files/anacron-2.3-headers.patch
new file mode 100644
index 000000000000..2d4b1762d357
--- /dev/null
+++ b/sys-process/anacron/files/anacron-2.3-headers.patch
@@ -0,0 +1,40 @@
+add headers for various function prototypes
+
+--- a/main.c
++++ b/main.c
+@@ -24,6 +24,7 @@
+
+ #include <time.h>
+ #include <stdio.h>
++#include <stdlib.h> /* exit */
+ #include <unistd.h>
+ #include <signal.h>
+ #include <fcntl.h>
+--- a/log.c
++++ b/log.c
+@@ -37,6 +37,7 @@
+ #include <unistd.h>
+ #include <syslog.h>
+ #include <stdio.h>
++#include <stdlib.h> /* exit */
+ #include <stdarg.h>
+ #include <errno.h>
+ #include <signal.h>
+@@ -78,6 +79,7 @@ make_msg(const char *fmt, va_list args)
+ strcpy(msg + sizeof(msg) - sizeof(truncated), truncated);
+ }
+
++#define log my_log /* log is a math builtin */
+ static void
+ log(int priority, const char *fmt, va_list args)
+ /* Log a message, described by "fmt" and "args", with the specified
+--- a/matchrx.c
++++ b/matchrx.c
+@@ -23,6 +23,7 @@
+
+
+ #include <stdio.h>
++#include <string.h> /* memset */
+ #include <regex.h>
+ #include <stdarg.h>
+ #include <stdlib.h>
diff --git a/sys-process/anacron/files/anacron-2.3-makefile.patch b/sys-process/anacron/files/anacron-2.3-makefile.patch
new file mode 100644
index 000000000000..c64969d06715
--- /dev/null
+++ b/sys-process/anacron/files/anacron-2.3-makefile.patch
@@ -0,0 +1,14 @@
+https://bugs.gentoo.org/715952
+Need to append `-lobstack` for musl build, can't stuff it in
+LDFLAGS due to `--as-needed`
+--- a/Makefile
++++ b/Makefile
+@@ -57,7 +57,7 @@
+ include $(csources:.c=.d)
+
+ anacron: $(objects)
+- $(CC) $(LDFLAGS) $^ $(LOADLIBES) -o $@
++ $(CC) $(LDFLAGS) $^ $(LOADLIBES) $(LIBS) -o $@
+
+ %.o : %.c
+ $(CC) -c $(ALL_CPPFLAGS) $(CFLAGS) $< -o $@
diff --git a/sys-process/anacron/files/anacron-2.3-sighandlers.patch b/sys-process/anacron/files/anacron-2.3-sighandlers.patch
new file mode 100644
index 000000000000..cc4c62bca21c
--- /dev/null
+++ b/sys-process/anacron/files/anacron-2.3-sighandlers.patch
@@ -0,0 +1,41 @@
+https://bugs.gentoo.org/943949
+Correct signal handler signatures.
+Also prevent unexpected environment modification
+by strdup'ing new environment. Mutes const qualifier
+discard warning, too.
+--- a/main.c
++++ b/main.c
+@@ -214,19 +214,19 @@
+ }
+
+ void
+-handle_sigalrm()
++handle_sigalrm(int)
+ {
+ got_sigalrm = 1;
+ }
+
+ void
+-handle_sigchld()
++handle_sigchld(int)
+ {
+ got_sigchld = 1;
+ }
+
+ void
+-handle_sigusr1()
++handle_sigusr1(int)
+ {
+ got_sigusr1 = 1;
+ }
+--- a/runjob.c
++++ b/runjob.c
+@@ -86,7 +86,7 @@
+ static void
+ xputenv(const char *s)
+ {
+- if (putenv(s)) die_e("Can't set the environment");
++ if (putenv(strdup(s))) die_e("Can't set the environment");
+ }
+
+ static void
diff --git a/sys-process/anacron/files/anacron.rc6 b/sys-process/anacron/files/anacron.rc6
new file mode 100644
index 000000000000..02dccb5dbf13
--- /dev/null
+++ b/sys-process/anacron/files/anacron.rc6
@@ -0,0 +1,13 @@
+#!/sbin/openrc-run
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ use clock hostname logger
+}
+
+start() {
+ ebegin "Running anacron"
+ anacron -s >>/var/log/cron.log 2>&1
+ eend $?
+}
diff --git a/sys-process/anacron/files/anacrontab b/sys-process/anacron/files/anacrontab
new file mode 100644
index 000000000000..c279929fcb65
--- /dev/null
+++ b/sys-process/anacron/files/anacrontab
@@ -0,0 +1,11 @@
+SHELL=/bin/sh
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+# format: period delay job-identifier command
+##
+## If you turn any of the following on, make sure that the
+## regular cron daemon does not run them also. This could
+## lead to double execution of the jobs.
+#1 5 cron.daily run-parts /etc/cron.daily
+#7 10 cron.weekly run-parts /etc/cron.weekly
+#30 15 cron.monthly run-parts /etc/cron.monthly
+
diff --git a/sys-process/anacron/metadata.xml b/sys-process/anacron/metadata.xml
new file mode 100644
index 000000000000..5f33304011d5
--- /dev/null
+++ b/sys-process/anacron/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>